#include <IRremote.h>

long ir_rec;

IRrecv irrecv(A0);
decode_results results;

void setup(){
  Serial.begin(9600);
  irrecv.enableIRIn();
  pinMode(12, OUTPUT);
  pinMode(3, OUTPUT);
  pinMode(13, OUTPUT);
  pinMode(11, OUTPUT);
}

void loop(){
  if (irrecv.decode(&results)) {
    ir_rec=results.value;
    String type="UNKNOWN";
    String typelist[14]={"UNKNOWN", "NEC", "SONY", "RC5", "RC6", "DISH", "SHARP", "PANASONIC", "JVC", "SANYO", "MITSUBISHI", "SAMSUNG", "LG", "WHYNTER"};
    if(results.decode_type>=1&&results.decode_type<=13){
      type=typelist[results.decode_type];
    }
    Serial.print("IR TYPE:"+type+"  ");
    Serial.println(ir_rec,HEX);
    irrecv.resume();
  } else {
  }
  if (ir_rec == 0xFF629D) {
    digitalWrite(12,LOW);
    analogWrite(3,200);
    digitalWrite(13,LOW);
    analogWrite(11,200);

  }
  if (ir_rec == 0xFF02FD) {
    digitalWrite(12,LOW);
    analogWrite(3,0);
    digitalWrite(13,LOW);
    analogWrite(11,0);

  }
  if (ir_rec == 0xFF22DD) {
    digitalWrite(12,LOW);
    analogWrite(3,150);
    digitalWrite(13,HIGH);
    analogWrite(11,150);

  }
  if (ir_rec == 0xFFC23D) {
    digitalWrite(12,HIGH);
    analogWrite(3,100);
    digitalWrite(13,LOW);
    analogWrite(11,100);

  }
  if (ir_rec == 0xFFA857) {
    digitalWrite(12,HIGH);
    analogWrite(3,200);
    digitalWrite(13,HIGH);
    analogWrite(11,200);

  }

}
